shibboleth-3.5.0

List of all members
shibsp::DDF Class Reference

DDF objects are implemented with a handle-body idiom and require explicit destruction in order to allow stack objects to be freely mixed in structures with heap objects. More...

`#include <shibsp/remoting/ddf.h>`

## Detailed Description

DDF objects are implemented with a handle-body idiom and require explicit destruction in order to allow stack objects to be freely mixed in structures with heap objects.

When stack objects leave scope, only the handle is freed. Copying and assigning handle objects is a constant time operation equivalent to a single pointer assignment, handled by compiler-generated behavior.

The documentation for this class was generated from the following file:

- shibsp/remoting/ddf.h